NewWacht Bench is live — AI-assisted development for Wacht

Get Audit Analytics

GET
/api-auth/audit/analytics

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Query Parameters

start_date?string
end_date?string
key_id?string
top_limit?string
include_top_keys?string
include_top_paths?string
include_blocked_reasons?string
include_rate_limits?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/api-auth/audit/analytics"
{
  "status": 0,
  "message": "string",
  "data": {
    "total_requests": 0,
    "allowed_requests": 0,
    "blocked_requests": 0,
    "success_rate": 0,
    "keys_used_24h": 0,
    "top_keys": [
      {
        "key_id": "string",
        "key_name": "string",
        "total_requests": 0
      }
    ],
    "top_paths": [
      {
        "path": "string",
        "total_requests": 0
      }
    ],
    "blocked_reasons": [
      {
        "blocked_by_rule": "string",
        "count": 0,
        "percentage": 0
      }
    ],
    "rate_limit_stats": {
      "total_hits": 0,
      "percentage_of_blocked": 0,
      "top_rules": [
        {
          "rule": "string",
          "hit_count": 0,
          "percentage": 0
        }
      ]
    }
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}